Adds a prospect to a project.
- Type: stringproject
Id requiredProject ID
Prospect details
Request model for adding a prospect to a project. Prefer contactId — contacts have email/phone for direct outreach and support more capabilities. Use companyId only as a placeholder when the specific person is unknown.
- Type: null | stringcompany
Id Company ID to add as prospect. Use only when the specific contact person is unknown. Mutually exclusive with contactId.
- Type: null | stringcontact
Id Contact ID to add as prospect (preferred). Mutually exclusive with companyId.
- Type: array object[] ·external
Refs External references for CRM integration (e.g., Salesforce, HubSpot). Each namespace can only appear once. Multiple CRM systems can be referenced simultaneously.
Represents an external system reference (e.g., Salesforce, HubSpot, Pipedrive). Supports multiple CRM systems simultaneously.
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
curl 'https://app.propstreet.com/api/v1/projects/{projectId}/prospects' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"contactId": null,
"companyId": null,
"externalRefs": [
{
"namespace": "",
"id": ""
}
]
}'
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"projectId": "string",
"contactId": null,
"companyId": null,
"displayName": null,
"organizationName": null,
"classification": null,
"capabilities": [
"string"
],
"tags": [
"string"
],
"teaser": {
"acceptedUtc": null,
"deadlineUtc": null
},
"createdUtc": "2026-05-05T17:18:39.880Z",
"updatedUtc": "2026-05-05T17:18:39.880Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}